> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request AccessToken



## OpenAPI

````yaml /api/iam/api/auth.openapi.json post /v1/oauth/token
openapi: 3.1.0
info:
  title: Confidence Auth API
  version: 1.0.0
  description: API documentation for auth
servers: []
security: []
paths:
  /v1/oauth/token:
    post:
      summary: Request AccessToken
      operationId: AccessToken.request
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/confidence.iam.v1.RequestAccessTokenRequest'
        required: true
      responses:
        '200':
          description: Returns a [AccessToken](/api-reference/schemas/accesstoken).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.iam.v1.AccessToken'
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.RequestAccessTokenRequest:
      title: RequestAccessTokenRequest
      type: object
      description: ''
      properties:
        grantType:
          type: string
          description: The grant type. Currently only "client_credentials" is supported
        clientId:
          type: string
          description: The client id of the client to ge the token for
        clientSecret:
          type: string
          description: The secret of the client to get the token for
      required:
        - grantType
        - clientId
        - clientSecret
    confidence.iam.v1.AccessToken:
      title: AccessToken
      type: object
      description: ''
      properties:
        accessToken:
          type: string
          description: The access token that kan be used to call the api
        expiresIn:
          type: integer
          description: >-
            The ttl of the Access Token token from the time it was issued (in
            seconds).
      required:
        - accessToken
        - expiresIn
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````